package com.palmnest.application.dto.output;

import java.io.Serializable;

public class WatermenterDto implements Serializable{
	private Integer id;
	private String floorAndRoom;
	private String wateReading;//读数
	private String wateImageUrl;//图片
	private int sourseId;//来源ID
	private int enterType;//来源类型(1企业入驻2企业迁出)
	private String creator;
	private String createTime;
	private int floorId;
	private int roomId;
	private String materReading;//读数
	private String materImageUrl;//图片
	private String materUrl;//图片
	private String wateUrl;//图片
	
	public WatermenterDto(){
		
	}
	
	
	public WatermenterDto(Integer id, String floorAndRoom,
			String wateReading, String wateImageUrl, int sourseId, int enterType,
			String creator, String createTime, int floorId, int roomId,String materReading, String materImageUrl) {
		super();
		this.id = id;
		this.floorAndRoom = floorAndRoom;
		this.wateReading = wateReading;
		this.wateImageUrl = wateImageUrl;
		this.sourseId = sourseId;
		this.enterType = enterType;
		this.creator = creator;
		this.createTime = createTime;
		this.floorId = floorId;
		this.roomId = roomId;
		this.materReading = materReading;
		this.materImageUrl = materImageUrl;
	}
	
	public WatermenterDto(int sourseId, int enterType,String wateReading, String wateImageUrl,String creator, int floorId, int roomId,String materReading, String materImageUrl) {
		super();
		this.wateReading = wateReading;
		this.wateImageUrl = wateImageUrl;
		this.materReading = materReading;
		this.materImageUrl = materImageUrl;
		this.sourseId=sourseId;
		this.enterType = enterType;
		this.creator=creator;
		this.floorId = floorId;
		this.roomId = roomId;
	}
	public WatermenterDto(Integer id, int sourseId, int enterType,String wateReading, String wateImageUrl,String creator, int floorId, int roomId,String materReading, String materImageUrl,String materUrl,String wateUrl) {
		super();
		this.id = id;
		this.wateReading = wateReading;
		this.wateImageUrl = wateImageUrl;
		this.materReading = materReading;
		this.materImageUrl = materImageUrl;
		this.sourseId=sourseId;
		this.enterType = enterType;
		this.creator=creator;
		this.floorId = floorId;
		this.roomId = roomId;
		this.materUrl=materUrl;
		this.wateUrl=wateUrl;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}

	public String getFloorAndRoom() {
		return floorAndRoom;
	}
	public void setFloorAndRoom(String floorAndRoom) {
		this.floorAndRoom = floorAndRoom;
	}
	
	public String getWateReading() {
		return wateReading;
	}
	public void setWateReading(String wateReading) {
		this.wateReading = wateReading;
	}
	public String getWateImageUrl() {
		return wateImageUrl;
	}
	public void setWateImageUrl(String wateImageUrl) {
		this.wateImageUrl = wateImageUrl;
	}
	public String getMaterReading() {
		return materReading;
	}
	public void setMaterReading(String materReading) {
		this.materReading = materReading;
	}
	public String getMaterImageUrl() {
		return materImageUrl;
	}
	public void setMaterImageUrl(String materImageUrl) {
		this.materImageUrl = materImageUrl;
	}
	public int getSourseId() {
		return sourseId;
	}
	public void setSourseId(int sourseId) {
		this.sourseId = sourseId;
	}
	public int getEnterType() {
		return enterType;
	}
	public void setEnterType(int enterType) {
		this.enterType = enterType;
	}
	public String getCreator() {
		return creator;
	}
	public void setCreator(String creator) {
		this.creator = creator;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public int getFloorId() {
		return floorId;
	}
	public void setFloorId(int floorId) {
		this.floorId = floorId;
	}
	public int getRoomId() {
		return roomId;
	}
	public void setRoomId(int roomId) {
		this.roomId = roomId;
	}


	public String getMaterUrl() {
		return materUrl;
	}


	public void setMaterUrl(String materUrl) {
		this.materUrl = materUrl;
	}


	public String getWateUrl() {
		return wateUrl;
	}


	public void setWateUrl(String wateUrl) {
		this.wateUrl = wateUrl;
	}
	
	

}
